$ErrorActionPreference = 'Stop';

$packageName= 'datastar'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = 'https://datastar.software/download/DataStar.1.7.0.14.msi' 
  softwareName  = 'DataStar*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = '7B237417E108BF0927CAF5E6A5A7441B5FCB3ACB069CABBC4F4CCAEC6ED6EFD7'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs

